package com.hyc.kafka.demo.consumer;

import lombok.extern.slf4j.Slf4j;
import org.apache.kafka.clients.consumer.ConsumerRecord;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.kafka.support.Acknowledgment;
import org.springframework.stereotype.Service;

/**
 * kafka消费者
 *
 * @author YouChe·He
 * @ClassName: KafkaConsumer
 * @Description: kafka消费者
 * @CreateTime: 2024/6/6 15:33
 */
@Slf4j
@Service
public class KafkaConsumer {
    @KafkaListener(topics = "topic1", groupId = "firstGroup", containerFactory = "kafkaListenerContainerFactory",
    errorHandler = "myKafkaListenerErrorHandler")
    public void consume(ConsumerRecord<Object,Object> consumerRecord, Acknowledgment acknowledgment) {
        try {
            Object value = consumerRecord.value();
            log.error("消费者得到的数据:{},所在分区:{}",value,consumerRecord.partition());
        }finally {
            acknowledgment.acknowledge();
        }

    }
}
